Bug 219833 - www/py3-requests: Fails to build (missing py3-* dependencies/ports)
Summary: www/py3-requests: Fails to build (missing py3-* dependencies/ports)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-06-07 07:16 UTC by Kubilay Kocak
Modified: 2017-06-16 05:27 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2017-06-07 07:16:54 UTC
The last update to www/py-requests [1] unbundled its dependencies, now requiring  chardet, idna, urrlib3 and certifi from ports.

Unfortunately the www/py3-requests port was not tested during QA, which resulted in an initial pkg-fallout email indicating that the chardet version could not be satisfied:

py36-requests-2.17.3 depends on package: py36-chardet>=3.0.2 - not found

This (cause: www/py3-chardet) was fixed in r442754 [1], but a further (user) report was submitted showing that the idna dependency was failing.

Accordingly, all dependencies (and their dependencies) for the www/py3-requests port must have category/py3-* (slave port) counterparts created if they don't already exist (most don't).

Those identified so far include:

First level:

* dns/py3-idna
* net/py3-urllib3
* security/py3-certifi

Second level:

* security/py3-openssl
* security/py3-cryptography
* net/py3-pysocks
* devel/py3-pyasn1

This issue tracks that progress

[1] https://svnweb.freebsd.org/changeset/ports/442754
Comment 1 commit-hook freebsd_committer 2017-06-07 10:34:44 UTC
A commit references this bug:

Author: koobs
Date: Wed Jun  7 10:34:30 UTC 2017
New revision: 442824
URL: https://svnweb.freebsd.org/changeset/ports/442824

Log:
  [NEW] dns/py3-idna: Create Python 3.x port of py-idna

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:	219833

Changes:
  head/dns/Makefile
  head/dns/py-idna/Makefile
  head/dns/py3-idna/
  head/dns/py3-idna/Makefile
Comment 2 commit-hook freebsd_committer 2017-06-07 10:45:55 UTC
A commit references this bug:

Author: koobs
Date: Wed Jun  7 10:44:56 UTC 2017
New revision: 442825
URL: https://svnweb.freebsd.org/changeset/ports/442825

Log:
  dns/py3-idna: Delete pkg-descr and distinfo

  These files are no longer needed (inherited from py-idna)

  PR:		219833

Changes:
  head/dns/py3-idna/distinfo
  head/dns/py3-idna/pkg-descr
Comment 3 commit-hook freebsd_committer 2017-06-07 10:50:00 UTC
A commit references this bug:

Author: koobs
Date: Wed Jun  7 10:49:23 UTC 2017
New revision: 442826
URL: https://svnweb.freebsd.org/changeset/ports/442826

Log:
  [NEW] security/py3-certifi: Create Python 3.x port of py-certifi

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833
  Approved by:	koobs (python, with hat)

Changes:
  head/security/Makefile
  head/security/py-certifi/Makefile
  head/security/py3-certifi/
  head/security/py3-certifi/Makefile
  head/security/py3-certifi/distinfo
  head/security/py3-certifi/pkg-descr
Comment 4 commit-hook freebsd_committer 2017-06-07 10:57:07 UTC
A commit references this bug:

Author: koobs
Date: Wed Jun  7 10:56:41 UTC 2017
New revision: 442827
URL: https://svnweb.freebsd.org/changeset/ports/442827

Log:
  [NEW] devel/py3-pyasn1: Create Python 3.x port of py-pyasn1

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  While I'm here:

   - Update test target and setup.py variable

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:	219833

Changes:
  head/devel/Makefile
  head/devel/py-pyasn1/Makefile
  head/devel/py3-pyasn1/
  head/devel/py3-pyasn1/Makefile
  head/devel/py3-pyasn1/distinfo
  head/devel/py3-pyasn1/pkg-descr
Comment 5 commit-hook freebsd_committer 2017-06-07 11:01:12 UTC
A commit references this bug:

Author: koobs
Date: Wed Jun  7 11:01:05 UTC 2017
New revision: 442828
URL: https://svnweb.freebsd.org/changeset/ports/442828

Log:
  [NEW] net/py3-pysocks: Create Python 3.x port of net/py-pysocks

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833
  Approved by:	koobs (python, with hat)

Changes:
  head/net/Makefile
  head/net/py-pysocks/Makefile
  head/net/py3-pysocks/
  head/net/py3-pysocks/Makefile
  head/net/py3-pysocks/distinfo
  head/net/py3-pysocks/pkg-descr
Comment 6 commit-hook freebsd_committer 2017-06-07 14:23:56 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 14:22:59 UTC 2017
New revision: 442838
URL: https://svnweb.freebsd.org/changeset/ports/442838

Log:
  [NEW] security/py3-cryptography: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/security/Makefile
  head/security/py-cryptography/Makefile
  head/security/py3-cryptography/
  head/security/py3-cryptography/Makefile
Comment 7 commit-hook freebsd_committer 2017-06-07 14:33:06 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 14:32:40 UTC 2017
New revision: 442841
URL: https://svnweb.freebsd.org/changeset/ports/442841

Log:
  [NEW] security/py3-openssl: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/security/Makefile
  head/security/py-openssl/Makefile
  head/security/py3-openssl/
  head/security/py3-openssl/Makefile
Comment 8 commit-hook freebsd_committer 2017-06-07 14:48:23 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 14:47:30 UTC 2017
New revision: 442844
URL: https://svnweb.freebsd.org/changeset/ports/442844

Log:
  [NEW] net/py3-urllib3: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/net/Makefile
  head/net/py-urllib3/Makefile
  head/net/py3-urllib3/
  head/net/py3-urllib3/Makefile
Comment 9 commit-hook freebsd_committer 2017-06-07 15:14:45 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 15:14:01 UTC 2017
New revision: 442845
URL: https://svnweb.freebsd.org/changeset/ports/442845

Log:
  [NEW] devel/py3-apipkg: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-apipkg/Makefile
  head/devel/py3-apipkg/
  head/devel/py3-apipkg/Makefile
Comment 10 commit-hook freebsd_committer 2017-06-07 15:21:52 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 15:21:20 UTC 2017
New revision: 442846
URL: https://svnweb.freebsd.org/changeset/ports/442846

Log:
  [NEW] sysutils/py3-execnet: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/sysutils/Makefile
  head/sysutils/py-execnet/Makefile
  head/sysutils/py3-execnet/
  head/sysutils/py3-execnet/Makefile
Comment 11 commit-hook freebsd_committer 2017-06-07 15:40:08 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 15:39:37 UTC 2017
New revision: 442848
URL: https://svnweb.freebsd.org/changeset/ports/442848

Log:
  [NEW] sysutils/py3-ptyprocess: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/sysutils/Makefile
  head/sysutils/py-ptyprocess/Makefile
  head/sysutils/py3-ptyprocess/
  head/sysutils/py3-ptyprocess/Makefile
Comment 12 commit-hook freebsd_committer 2017-06-07 15:44:13 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 15:43:29 UTC 2017
New revision: 442849
URL: https://svnweb.freebsd.org/changeset/ports/442849

Log:
  [NEW] misc/py3-pexpect: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/misc/Makefile
  head/misc/py-pexpect/Makefile
  head/misc/py3-pexpect/
  head/misc/py3-pexpect/Makefile
Comment 13 commit-hook freebsd_committer 2017-06-07 15:51:20 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  7 15:51:07 UTC 2017
New revision: 442851
URL: https://svnweb.freebsd.org/changeset/ports/442851

Log:
  [NEW] devel/py3-pytest-xdist: Create Python 3.x version of port

  The latest www/py-requests update [1] unbundled its dependencies, now
  requiring chardet, idna, urllib3 and certifi from ports.

  www/py3-requests port was not tested during QA, which would have highlighted
  the need for many new py3-* ports (and their dependencies).

  This change creates one of those ports.

  [1] https://svnweb.freebsd.org/changeset/ports/442565

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-pytest-xdist/Makefile
  head/devel/py3-pytest-xdist/
  head/devel/py3-pytest-xdist/Makefile
Comment 14 Ben Woods freebsd_committer 2017-06-07 16:11:09 UTC
I have to call it quits for today.
All of the run and build depends are now available for www/py3-requests.
Only the test depends for www/py3-requests remain: I believe the following is all that is outstanding:
www/py3-requests
 - devel/py3-mock
   - devel/py3-pbr
     - devel/py3-pip
       - devel/py-pytest-capturelog
       - devel/py-pytest-timeout
       - devel/py-virtualenv
         - textproc/py3-sphinx
       - devel/py-scripttest
       - devel/py-pretend
       - devel/py-freezegun
         - devel/py-dateutil
   - devel/py3-tox
     - devel/py-pluggy
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-07 23:41:38 UTC
Thanks for the assistance Ben.

Note: I held off on creating py3- ports that required/specified conditional dependencies via PYTHON_REL (requiring bsd.port.{pre,post}, as I had not (yet) figured out to access those variables in a slave port. 

So net/py3-urllib3, requiring security/py3-cryptography, requiring both devel/py3-enum34 and py-openssl, were held off.

Accordingly, py3-urllib and py3-cryptography were committed (comment 6, comment 8), they need to be updated to include the conditional dependencies declared in the parent ports, and will be incorrect/broken (at run time) for python < 3400 (3.3) until that update is made to include py3-enum34 (which also needs a child port created first)
Comment 16 commit-hook freebsd_committer 2017-06-08 14:12:50 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jun  8 14:11:44 UTC 2017
New revision: 442935
URL: https://svnweb.freebsd.org/changeset/ports/442935

Log:
  [NEW] textproc/py3-sphinx: Create Python 3.x version of this port

  Also make the following changes for the master textproc/py-sphinx port:
   - Remove post-build introduced when port was updated to version 1.2 in
     r336515, but is no longer required after version 1.2.1 [1].
   - Include upstream patch which fixes the bundling of grammar files [2]

  [1] https://github.com/sphinx-doc/sphinx/blob/1.2.1/CHANGES#L51-L53
  [2] https://github.com/sphinx-doc/sphinx/commit/b03b7e543f5e135d046d2fe407def219336c12b2

  PR:		217475
  PR:		217447
  PR:		219833
  Submitted by:	dbaio
  Approved by:	kmoore (maintainer timeout)

Changes:
  head/textproc/Makefile
  head/textproc/py-sphinx/Makefile
  head/textproc/py-sphinx/files/
  head/textproc/py-sphinx/files/patch-b03b7e543f5e135d046d2fe407def219336c12b2
  head/textproc/py3-sphinx/
  head/textproc/py3-sphinx/Makefile
Comment 17 commit-hook freebsd_committer 2017-06-08 14:29:04 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jun  8 14:28:22 UTC 2017
New revision: 442936
URL: https://svnweb.freebsd.org/changeset/ports/442936

Log:
  [NEW] devel/py3-dateutil: Add Python 3.x version of this port

  PR:		219541
  PR:		219833
  Submitted by:	rs.os <rs.os@t-online.de>

Changes:
  head/devel/Makefile
  head/devel/py-dateutil/Makefile
  head/devel/py3-dateutil/
  head/devel/py3-dateutil/Makefile
Comment 18 commit-hook freebsd_committer 2017-06-09 00:05:42 UTC
A commit references this bug:

Author: woodsb02
Date: Fri Jun  9 00:04:38 UTC 2017
New revision: 442964
URL: https://svnweb.freebsd.org/changeset/ports/442964

Log:
  [NEW] devel/py3-pytest-capturelog: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-pytest-capturelog/Makefile
  head/devel/py3-pytest-capturelog/
  head/devel/py3-pytest-capturelog/Makefile
Comment 19 commit-hook freebsd_committer 2017-06-10 01:26:27 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 01:25:30 UTC 2017
New revision: 443048
URL: https://svnweb.freebsd.org/changeset/ports/443048

Log:
  [NEW] devel/py3-pytest-timeout: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-pytest-timeout/Makefile
  head/devel/py3-pytest-timeout/
  head/devel/py3-pytest-timeout/Makefile
Comment 20 commit-hook freebsd_committer 2017-06-10 01:50:48 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 01:50:06 UTC 2017
New revision: 443049
URL: https://svnweb.freebsd.org/changeset/ports/443049

Log:
  [NEW] devel/py3-virtualenv: Create Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-virtualenv/Makefile
  head/devel/py3-virtualenv/
  head/devel/py3-virtualenv/Makefile
Comment 21 commit-hook freebsd_committer 2017-06-10 01:56:54 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 01:56:43 UTC 2017
New revision: 443054
URL: https://svnweb.freebsd.org/changeset/ports/443054

Log:
  [NEW] devel/py3-scripttest: Create Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-scripttest/Makefile
  head/devel/py3-scripttest/
  head/devel/py3-scripttest/Makefile
Comment 22 commit-hook freebsd_committer 2017-06-10 02:02:00 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:01:13 UTC 2017
New revision: 443055
URL: https://svnweb.freebsd.org/changeset/ports/443055

Log:
  [NEW] devel/py3-pretend: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-pretend/Makefile
  head/devel/py3-pretend/
  head/devel/py3-pretend/Makefile
Comment 23 commit-hook freebsd_committer 2017-06-10 02:08:08 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:07:56 UTC 2017
New revision: 443057
URL: https://svnweb.freebsd.org/changeset/ports/443057

Log:
  [NEW] devel/py3-freezegun: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-freezegun/Makefile
  head/devel/py3-freezegun/
  head/devel/py3-freezegun/Makefile
Comment 24 commit-hook freebsd_committer 2017-06-10 02:19:18 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:19:05 UTC 2017
New revision: 443059
URL: https://svnweb.freebsd.org/changeset/ports/443059

Log:
  [NEW] devel/py3-pip: Add Python 3.x version of this port

  PR:		219833
  PR:		212950

Changes:
  head/devel/Makefile
  head/devel/py-pip/Makefile
  head/devel/py3-pip/
  head/devel/py3-pip/Makefile
Comment 25 commit-hook freebsd_committer 2017-06-10 02:32:32 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:32:09 UTC 2017
New revision: 443060
URL: https://svnweb.freebsd.org/changeset/ports/443060

Log:
  [NEW] devel/py3-pluggy: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-pluggy/Makefile
  head/devel/py3-pluggy/
  head/devel/py3-pluggy/Makefile
Comment 26 commit-hook freebsd_committer 2017-06-10 02:37:38 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:37:13 UTC 2017
New revision: 443061
URL: https://svnweb.freebsd.org/changeset/ports/443061

Log:
  [NEW] devel/py3-tox: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-tox/Makefile
  head/devel/py3-tox/
  head/devel/py3-tox/Makefile
Comment 27 commit-hook freebsd_committer 2017-06-10 02:43:45 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:43:14 UTC 2017
New revision: 443062
URL: https://svnweb.freebsd.org/changeset/ports/443062

Log:
  [NEW] devel/py3-pbr: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-pbr/Makefile
  head/devel/py3-pbr/
  head/devel/py3-pbr/Makefile
Comment 28 commit-hook freebsd_committer 2017-06-10 02:52:53 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:52:10 UTC 2017
New revision: 443064
URL: https://svnweb.freebsd.org/changeset/ports/443064

Log:
  [NEW] devel/py3-mock: Add Python 3.x version of this port

  PR:		219833

Changes:
  head/devel/Makefile
  head/devel/py-mock/Makefile
  head/devel/py3-mock/
  head/devel/py3-mock/Makefile
Comment 29 commit-hook freebsd_committer 2017-06-10 02:59:00 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 02:57:54 UTC 2017
New revision: 443065
URL: https://svnweb.freebsd.org/changeset/ports/443065

Log:
  www/py3-requests: Update slave port to depend on Python 3.x ports

  PR:		219833
  Approved by:	portmgr blanket

Changes:
  head/www/py-requests/Makefile
  head/www/py3-requests/Makefile
Comment 30 commit-hook freebsd_committer 2017-06-10 03:14:13 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 03:13:29 UTC 2017
New revision: 443066
URL: https://svnweb.freebsd.org/changeset/ports/443066

Log:
  [NEW] devel/py3-enum34: Create Python 3.x version of this port

  PR:		219833
  Reported by:	koobs

Changes:
  head/devel/Makefile
  head/devel/py-enum34/Makefile
  head/devel/py3-enum34/
  head/devel/py3-enum34/Makefile
Comment 31 commit-hook freebsd_committer 2017-06-10 03:17:18 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 03:16:45 UTC 2017
New revision: 443067
URL: https://svnweb.freebsd.org/changeset/ports/443067

Log:
  security/py-cryptography: Fix build with Python 3.3

  PR:		219833
  Reported by:	koobs
  Approved by:	portmgr blanket

Changes:
  head/security/py-cryptography/Makefile
Comment 32 commit-hook freebsd_committer 2017-06-10 03:21:23 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Jun 10 03:21:13 UTC 2017
New revision: 443069
URL: https://svnweb.freebsd.org/changeset/ports/443069

Log:
  net/py-urllib3: Fix build with Python 3.3

  PR:		219833
  Reported by:	koobs
  Approved by:	portmgr blanket

Changes:
  head/net/py-urllib3/Makefile
Comment 33 Ben Woods freebsd_committer 2017-06-10 03:23:25 UTC
All fixed! (phew)
Thanks for getting this started koobs.
Comment 34 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-16 05:17:27 UTC
Thank you for your help Ben
Comment 35 Ben Woods freebsd_committer 2017-06-16 05:27:13 UTC
No worries :)
Hoping we can delete all of these py3- ports when flavors land in ports soon (TM)